# úprava kontaktu

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /shipment/{shipmentNumber}/redirect:
    post:
      summary: úprava kontaktu
      deprecated: false
      description: ''
      tags:
        - API Metody/ShipmentEvent
        - ShipmentEvent
      parameters:
        - name: shipmentNumber
          in: path
          description: Číslo zásilky
          required: true
          example: ''
          schema:
            minLength: 1
            type: string
        - name: Accept-Language
          in: header
          description: 'Language specification, default language: cs-CZ'
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/AcceptLanguageSchema'
        - name: X-Correlation-ID
          in: header
          description: Correlation Id of request
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XCorrelationIdSchema'
        - name: X-LogLevel
          in: header
          description: The forced log level
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XLogLevelSchema'
      requestBody:
        content:
          application/json:
            schema:
              x-apidog-refs:
                01JK8ED48B87WMPE164EZHZM2P:
                  $ref: >-
                    #/components/schemas/Eps.Api.MyApi2.Web.Models.ShipmentEvent.RedirectShipmentEventModel
                  x-apidog-overrides:
                    address: &ref_2
                      oneOf:
                        - type: object
                          x-apidog-refs:
                            01JK8ED7WBZKQ46GC96YQA1A8J: &ref_3
                              $ref: >-
                                #/components/schemas/Eps.Api.MyApi2.Web.Models.ShipmentEvent.RedirectRecipientAddressModel
                              x-apidog-overrides:
                                contact: &ref_0
                                  type: string
                                  description: Kontakt
                                  nullable: true
                                phone: &ref_1
                                  type: string
                                  description: Telefon
                                  nullable: true
                          x-apidog-orders:
                            - 01JK8ED7WBZKQ46GC96YQA1A8J
                          properties:
                            contact: *ref_0
                            phone: *ref_1
                            email:
                              type: string
                              description: Email
                              nullable: true
                          x-apidog-ignore-properties:
                            - contact
                            - phone
                            - email
                        - &ref_4
                          $ref: '#/components/schemas/EmptyNullableObject'
                      description: Upravuje kontakty příjemce
              x-apidog-orders:
                - 01JK8ED48B87WMPE164EZHZM2P
              properties:
                address: *ref_2
              type: object
              x-apidog-ignore-properties:
                - address
            example: ''
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers:
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
          x-apidog-name: OK
        '400':
          description: BadRequest
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Bad Request
        '500':
          description: InternalServerError
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Server Error
        '503':
          description: ServiceUnavailable
          content:
            application/problem+json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
                x-apidog-ignore-properties: []
          headers: {}
          x-apidog-name: Service Unavailable
      security: []
      x-apidog-folder: API Metody/ShipmentEvent
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/796227/apis/api-13465919-run
components:
  schemas:
    AcceptLanguageSchema:
      type: string
      description: Accept-Language header schema
      x-apidog-folder: ''
    XCorrelationIdSchema:
      type: string
      description: X-Correlation-ID header schema
      x-apidog-folder: ''
    XLogLevelSchema:
      enum:
        - Trace
        - Debug
        - Information
        - Warning
        - Error
        - Critical
      type: string
      description: X-LogLevel header schema
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Models.ShipmentEvent.RedirectShipmentEventModel:
      type: object
      properties:
        address:
          oneOf:
            - *ref_3
            - *ref_4
      additionalProperties: false
      description: RedirectShipmentEventModel
      x-apidog-orders:
        - address
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    EmptyNullableObject:
      description: Injected nullable object
      type: 'null'
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Models.ShipmentEvent.RedirectRecipientAddressModel:
      type: object
      properties:
        contact:
          type: string
          description: Contact
          nullable: true
        phone:
          type: string
          description: Phone
          nullable: true
        email:
          type: string
          description: Email
          nullable: true
      additionalProperties: false
      description: RedirectRecipientAddressModel
      x-apidog-orders:
        - contact
        - phone
        - email
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
  securitySchemes:
    oauth2:
      type: apikey
      description: Get access token from authentication server.
      name: Authorization
      in: header
    Bearer:
      type: jwt
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      scheme: bearer
      bearerFormat: JWT
servers: []
security: []

```
